Axis2/C: transport sender

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# transport sender
[transport]

## Files
file | axis2_transport_sender.h
| Axis2 description transport sender interface.

## Classes
struct | axis2_transport_sender_ops
| Description Transport Sender ops struct Encapsulator struct for ops of axis2_transport_sender. More...
struct | axis2_transport_sender
## Defines
#define | AXIS2_TRANSPORT_SENDER_FREE(transport_sender, env) ((transport_sender->ops)->free (transport_sender, env))
#define | AXIS2_TRANSPORT_SENDER_INIT(transport_sender, env, conf_context, transport_out) ((transport_sender->ops)->init (transport_sender, env, conf_context, transport_out))
#define | AXIS2_TRANSPORT_SENDER_INVOKE(transport_sender, env, msg_ctx) ((transport_sender->ops)->invoke (transport_sender, env, msg_ctx))
#define | AXIS2_TRANSPORT_SENDER_CLEANUP(transport_sender, env, msg_ctx) ((transport_sender->ops)->cleanup (transport_sender, env, msg_ctx))
## Typedefs
typedef struct axis2_transport_sender | axis2_transport_sender_t
typedef struct axis2_transport_sender_ops | axis2_transport_sender_ops_t
## Functions
AXIS2_EXTERN axis2_transport_sender_t * | axis2_transport_sender_create (const axutil_env_t *env)

## Detailed Description

Description

## Define Documentation

#define AXIS2_TRANSPORT_SENDER_CLEANUP | ( | transport_sender,
|  | env,
|  | msg_ctx |  | ) | ((transport_sender->ops)->cleanup (transport_sender, env, msg_ctx))

Cleanup.

See also:
  axis2_transport_sender_ops::cleanup

#define AXIS2_TRANSPORT_SENDER_FREE | ( | transport_sender,
|  | env |  | ) | ((transport_sender->ops)->free (transport_sender, env))

Frees the axis2 transport sender.

See also:
  axis2_transport_sender_ops::free

#define AXIS2_TRANSPORT_SENDER_INIT | ( | transport_sender,
|  | env,
|  | conf_context,
|  | transport_out |  | ) | ((transport_sender->ops)->init (transport_sender, env, conf_context, transport_out))

Initialize the axis2 transport sender.

See also:
  axis2_transport_sender_ops::init

#define AXIS2_TRANSPORT_SENDER_INVOKE | ( | transport_sender,
|  | env,
|  | msg_ctx |  | ) | ((transport_sender->ops)->invoke (transport_sender, env, msg_ctx))

Invoke.

See also:
  axis2_transport_sender_ops::invoke

## Typedef Documentation

typedef struct axis2_transport_sender_ops axis2_transport_sender_ops_t

Type name for struct axis2_transport_sender_ops

typedef struct axis2_transport_sender axis2_transport_sender_t

Type name for struct axis2_transport_sender

## Function Documentation

AXIS2_EXTERN axis2_transport_sender_t* axis2_transport_sender_create | ( | const axutil_env_t * | env | ) |

Creates phase holder struct

Parameters:

  | env | pointer to environment struct

Returns:
  pointer to newly created transport sender